var irc = require('irc');
var express = require('express');
var bodyParser = require('body-parser');

var config = require('./config');

var client = new irc.Client(config.server, config.nick, {
    //debug: true,
    channels: config.channels,
    userName: config.userName,
    realName: config.realName,
    retryDelay: 120000
});

var say = client.say.bind(client);

var app = express();

app.use(bodyParser.json()); // for parsing application/json
app.use(bodyParser.urlencoded({ extended: true })); // for parsing application/x-www-form-urlencoded

app.post('/', function(req, res) {
    var body = req.body || {};

    res.sendStatus(200);
});

app.listen(config.port, config.hostname, function() {
    console.log('gitlab-to-irc running.');
});
